/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/variables';

.baseErrorModal {
  :global {
    .ant-modal-body {
      padding: 2rem;
    }

    .ant-modal-confirm-title {
      display: flex;
      flex-direction: column;
      align-items: center;
      row-gap: 1rem;
      text-align: center;
      padding-inline: 0.5rem;
    }

    .ant-modal-confirm-content {
      margin-top: 1rem;
    }

    .ant-modal-confirm-btns {
      display: flex;
      width: 100%;
      padding-inline: 0;
      margin-top: 0;
      justify-content: center;
    }
  }

  &__icon {
    color: $coa-primary;
  }

  &__title {
    color: $coa-primary;
    text-align: center;
    font-size: 1.5rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -0.5px;
  }

  &__description {
    color: $coa-grey-100;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.125rem;
    text-align: center;

    &.--bold {
      font-weight: 600;
    }
  }

  &__button {
    width: 9.625rem;
    height: 2.5rem;
    font-size: 0.875rem;
    font-weight: 500;
    line-height: 1rem;
    letter-spacing: 0px;
    text-align: center;
  }
}
